Staying correct and current.

Matt Darcy lfs-list at projecthugo.co.uk
Sun Apr 16 10:17:16 PDT 2006


Peter Fosseus wrote:

>Hi,
>
>I realize that CLFS is perpetually moving target, but is there anyway that 
>someone could say if we can "insert" the updates easily or if they require a 
>re-build. 
>
>If you could say something like 
>
>Updated to GCC 4.1.0.      [no rebuild required, drop in replacement]
>Updated to Linux 2.6.16.5. [no rebuild required, drop in replacement]
>Updated to Glibc 2.4.      [rebuild required from "Chapter V. Building the LFS 
>System" onwards.]
>
>It would make it easier for us to stay correct and current. I am about 1/2 way 
>through, using 4.0.3 and glibc--20051107, but would like to use the latest, 
>(4.1.0 ang glibc 2.4) one of my main reasons for using LFS. 
>
>-pete
>  
>
Whats your reason for wanting ot use the 4.1.0 / 2.4 combination - you 
do know that this combination is also availble in FC5 and gentoo now I 
believe.

I suggest you take a copy of the book, and build with it so that any 
changes that are made while your building don't effect you.

I don't think there is  need for "can upgrade" tags on packages.

Matt




More information about the cross-lfs mailing list